language: cn
model_unique_abbr: cascading_st_pattern_mining
version: 1.0
identification:
  docker_image_name: cascading_st_pattern_mining:1.0
  model_name: 时空级联模式挖掘
  semantic: Cascading Spatio-Temporal Pattern Mining
  description: 时空级联模式挖掘旨在发现严格按照时间次序在邻近时间范围内依次频繁出现于邻近空间位置的地理时空对象集合。
  category_application: 诊断型
  category_data:
    - 面数据分析
  keywords:
    - 时空级联模式
    - 模式挖掘
parameter_info:
  parameters:
    - arg_name: input
      is_single_en_dash: false
      param_type: input_data
      name: 输入文件路径
      description: "待挖掘的地理时空对象数据集,以shp的形式保存"
      data_type: shp
      data_semantic: input_data
    - arg_name: outputshp
      is_single_en_dash: false
      param_type: output_data
      name: 输出shapefile路径
      description: "挖掘结果的文件，以shp的形式保存"
      data_type: shp
      data_semantic: output_data
    - arg_name: outputtxt
      is_single_en_dash: false
      param_type: output_data
      name: 输出文本文件路径
      description: "挖掘级联时空规则结果的文本文件路径，格式为txt"
      data_type: txt
      data_semantic: output_data
    - arg_name: Cascade_participation_Index
      is_single_en_dash: false
      param_type: param
      name: 级联参与指数阈值
      description: 级联参与指数阈值，用于控制级联模式的挖掘，float类型数值，大于0，默认为0.15
      data_type: float
      data_semantic: Cascade_participation_Index
      specification:
        default: 0.15
    - arg_name: Time_radius
      is_single_en_dash: false
      param_type: param
      name: 时间半径
      description: 时间半径，单位为秒，int类型，默认为700
      data_type: int
      data_semantic: Time_radius
      specification:
        default: 700
    - arg_name: Space_radius
      is_single_en_dash: false
      param_type: param
      name: 空间半径
      description: 空间半径，单位为米，int类型，默认为400
      data_type: int
      data_semantic: Space_radius
      specification:
        default: 400
application:
  domain: 时空模式挖掘
  objective: 对于输入的地理空间数据，实现时空级联模式的挖掘
  dimension:
    - 二维
operation:
  usage: "该算法需要六个参数,输入shp的路径,输出shapefile路径,输出文本文件路径,级联参与指数,时间半径,空间半径"
  exec_example:
    - docker run -v $(pwd):/data cascading_st_pattern_mining:1.0 --input /data/Crime_data.shp --outputshp /data/result1.shp --outputtxt /data/result1.txt --Cascade_participation_Index 0.15 --Time_radius 700 --Space_radius 400
  output_display:
    - "输出捕抓到的级联关系，这个关系保存在txt文件中，同时输出的shapefile文件中包含了挖掘到的级联模式的空间位置信息，可以通过GIS软件进行可视化展示"

technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: YiXun Liu
  organization: Central South University
  contact: 235011043@csu.edu.cn
  references:
    - "Mohan, P ., Shekhar, S., Shine, J.A., et al 2011. Cascading spatiotemporal pattern discovery. IEEE Transactions on Knowledge and Data Engineering, 24(11): 1977–1992."

